Find the answer to your Linux question:
Results 1 to 5 of 5
I downloaded package with all it requires but it doesnt seem to find dependencies although they are in the same directory can anyone tell me how to "say" to package ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Mar 2005
    Posts
    10

    Dependencies problem


    I downloaded package with all it requires but it doesnt seem to find dependencies although they are in the same directory can anyone tell me how to "say" to package that dependencies are right here.

  2. #2
    Just Joined!
    Join Date
    Mar 2005
    Posts
    11
    Wait a second... did you install the packages, that the other one depends on? It's not enough to put them in the same directory...
    If you did- try
    Code:
    rpm --nodeps
    (only if you are sure that the depencies are fullfilled.!)
    Greets

  3. #3
    Just Joined!
    Join Date
    Mar 2005
    Posts
    10
    Thx for help i tried to install with --nodeps and almost worked but couple rpm packages conflicted with already existing package. Is there a way to install nomatter what i have had much trouble with this package conflicting i couldnt even install latest drivers for my ATI graphic card.

  4. #4
    Just Joined!
    Join Date
    Mar 2005
    Posts
    11
    Installing packages no matter what the conflicts are might be quite dangerous, please let me know what package are you trying to install, and what distro do you have.

    Just write "rpm" in console in order to get help - all the commands availible.

  5. #5
    Just Joined!
    Join Date
    Mar 2005
    Posts
    10
    I tried to get KDE 3.4 for my mandrake 10.1 but since there is 10.2 soon coming i will wait it out. But about Ati graphics drivers i looked what conflicted and i am stunned - ATI makes drivers but those drivers cant be installed because libgl 1.2 conflicts with Xorg.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •